MCP Gateway
ApiLocal tools

Update a tool on a LOCAL server

Partial update a tool on a LOCAL server.

PATCH
/api/v1/servers/{server_id}/tools/{tool_id}

Path Parameters

server_id*string
Formatuuid
tool_id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://loading/api/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/tools/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "input_schema": {},
  "has_embedding": true,
  "enrichment_data": {},
  "origin_type": "rest",
  "skill_id": "3cd68bb3-8b7e-48be-8232-1b99b5b4b3aa",
  "entrypoint": "string",
  "script_metadata": {},
  "has_overrides": false,
  "override_description": "string",
  "override_input_schema": {},
  "override_enrichment_data": {}
}
Empty
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}